Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.data.engine.api.querydefn
Class Binding

    java.lang.Object
      org.eclipse.birt.data.engine.api.querydefn.Binding

All Implemented Interfaces:
  IBinding

    public class Binding

extends java.lang.Object
implements IBinding

Constructor Summary
`Binding(java.lang.String name)`
`Binding(java.lang.String name, IBaseExpression expr)`

Method Summary
`void` | `addAggregateOn(java.lang.String levelName)`
`void` | `addArgument(IBaseExpression expr)`
`void` | `addArgument(java.lang.String name, IBaseExpression expr)`
`boolean` | `equals(java.lang.Object obj)`
`boolean` | `exportable()`
`java.util.List` | `getAggregatOns()`
`java.lang.String` | `getAggrFunction()`
`java.util.List` | `getArguments()`
`java.lang.String` | `getBindingName()`
`int` | `getDataType()`
`java.lang.String` | `getDisplayName()`
`IBaseExpression` | `getExpression()`
`IBaseExpression` | `getFilter()`
`int` | `hashCode()`
`void` | `setAggrFunction(java.lang.String functionName)`
`void` | `setDataType(int type)`
`void` | `setDisplayName(java.lang.String displayName)`
`void` | `setExportable(boolean exportable)`
`void` | `setExpression(IBaseExpression expr)`
`void` | `setFilter(IBaseExpression expr)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Binding

    public Binding(java.lang.String name)

### Binding

    public Binding(java.lang.String name,
                   IBaseExpression expr)

Method Detail

### addAggregateOn

    public void addAggregateOn(java.lang.String levelName)
                        throws org.eclipse.birt.data.engine.core.DataException

  Specified by:
    `addAggregateOn` in interface `IBinding`
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### addArgument

    public void addArgument(IBaseExpression expr)

  Specified by:
    `addArgument` in interface `IBinding`

### addArgument

    public void addArgument(java.lang.String name,
                            IBaseExpression expr)

  Specified by:
    `addArgument` in interface `IBinding`

### getAggrFunction

    public java.lang.String getAggrFunction()

  Specified by:
    `getAggrFunction` in interface `IBinding`

### getAggregatOns

    public java.util.List getAggregatOns()

  Specified by:
    `getAggregatOns` in interface `IBinding`

### getArguments

    public java.util.List getArguments()
                                throws org.eclipse.birt.data.engine.core.DataException

  Specified by:
    `getArguments` in interface `IBinding`
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### getDataType

    public int getDataType()

  Specified by:
    `getDataType` in interface `IBinding`

### getFilter

    public IBaseExpression getFilter()

  Specified by:
    `getFilter` in interface `IBinding`

### setAggrFunction

    public void setAggrFunction(java.lang.String functionName)

  Specified by:
    `setAggrFunction` in interface `IBinding`

### setDataType

    public void setDataType(int type)

  Specified by:
    `setDataType` in interface `IBinding`

### setExpression

    public void setExpression(IBaseExpression expr)

  Specified by:
    `setExpression` in interface `IBinding`

### setFilter

    public void setFilter(IBaseExpression expr)

  Specified by:
    `setFilter` in interface `IBinding`

### getBindingName

    public java.lang.String getBindingName()

  Specified by:
    `getBindingName` in interface `IBinding`

### getExpression

    public IBaseExpression getExpression()

  Specified by:
    `getExpression` in interface `IBinding`

### getDisplayName

    public java.lang.String getDisplayName()
                                    throws org.eclipse.birt.data.engine.core.DataException

  Specified by:
    `getDisplayName` in interface `IBinding`
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### setDisplayName

    public void setDisplayName(java.lang.String displayName)
                        throws org.eclipse.birt.data.engine.core.DataException

  Specified by:
    `setDisplayName` in interface `IBinding`
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

### equals

    public boolean equals(java.lang.Object obj)

  Overrides:
    `equals` in class `java.lang.Object`

### exportable

    public boolean exportable()
                       throws org.eclipse.birt.data.engine.core.DataException

  Specified by:
    `exportable` in interface `IBinding`
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

### setExportable

    public void setExportable(boolean exportable)
                       throws org.eclipse.birt.data.engine.core.DataException

  Specified by:
    `setExportable` in interface `IBinding`
  Throws:
    `org.eclipse.birt.data.engine.core.DataException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.